# Uses of Interface
org.apache.lucene.facet.taxonomy.directory.DirectoryTaxonomyWriter.OrdinalMap

Packages that use DirectoryTaxonomyWriter.OrdinalMap
Package
Description
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.
org.apache.lucene.facet.taxonomy.directory
Taxonomy index implementation using on top of a Directory.

- ## Uses of DirectoryTaxonomyWriter.OrdinalMap in org.apache.lucene.facet.taxonomy

  Methods in org.apache.lucene.facet.taxonomy with parameters of type DirectoryTaxonomyWriter.OrdinalMap
  Modifier and Type
  Method
  Description
  `static void`
  TaxonomyMergeUtils.`merge(Directory srcIndexDir, Directory srcTaxoDir, DirectoryTaxonomyWriter.OrdinalMap map, IndexWriter destIndexWriter, DirectoryTaxonomyWriter destTaxoWriter, FacetsConfig srcConfig)`
  Merges the given taxonomy and index directories and commits the changes to the given writers.

- ## Uses of DirectoryTaxonomyWriter.OrdinalMap in org.apache.lucene.facet.taxonomy.directory

  Classes in org.apache.lucene.facet.taxonomy.directory that implement DirectoryTaxonomyWriter.OrdinalMap
  Modifier and Type
  Class
  Description
  `static final class`
  `DirectoryTaxonomyWriter.DiskOrdinalMap`
  `DirectoryTaxonomyWriter.OrdinalMap` maintained on file system
  `static final class`
  `DirectoryTaxonomyWriter.MemoryOrdinalMap`
  `DirectoryTaxonomyWriter.OrdinalMap` maintained in memory
  Methods in org.apache.lucene.facet.taxonomy.directory with parameters of type DirectoryTaxonomyWriter.OrdinalMap
  Modifier and Type
  Method
  Description
  `void`
  DirectoryTaxonomyWriter.`addTaxonomy(Directory taxoDir, DirectoryTaxonomyWriter.OrdinalMap map)`
  Takes the categories from the given taxonomy directory, and adds the missing ones to this taxonomy.